%define ver_major 3.12
%define api_ver 3.8
%define origname gtkhtml
%def_disable static

Name: gtkhtml3
Version: %ver_major.3
Release: alt1

Summary: GtkHTML is a HTML rendering/editing library
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%origname/%ver_major/%origname-%version.tar.bz2

%define gail_ver 1.1.0
%define glade_ver 2.5.1
%define soup_ver 2.2.2
%define libgnomeui_ver 2.10.0
%define libgnomeprint_ver 2.10.0

# Automatically added by buildreq on Tue Sep 05 2006
BuildRequires: fontconfig gnome-vfs-devel libavahi-glib libbonobo-devel libdbus-glib libgail-devel libGConf-devel libglade-devel libgnomeprint-devel libgnomeprintui-devel libgnomeui-devel libsoup-devel perl-XML-Parser

BuildRequires: gnome-common
BuildRequires: libgail-devel >= %gail_ver
BuildRequires: libglade2-devel >= %glade_ver
BuildRequires: libsoup-devel >= %soup_ver
BuildRequires: libgnomeui-devel >= %libgnomeui_ver
BuildRequires: libgnomeprint-devel >= %libgnomeprint_ver
BuildRequires: gnome-icon-theme

%description
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it. The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also an
editor. Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n lib%name
Summary: Libraries for GtkHTML
Group: System/Libraries
Requires: libgail >= %gail_ver
Requires: libglade2 >= %glade_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgnomeprint2 >= %libgnomeprint_ver

%description -n lib%name
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains libraries used by GtkHTML.

%package -n lib%name-devel
Provides: lib%name-devel
Summary: Development libraries, header files and utilities for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgnomeprint2-devel >= %libgnomeprint_ver

%description -n lib%name-devel
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains the files necessary to develop applications with GtkHTML.

%package -n lib%name-devel-static
Provides: lib%name-devel-static
Summary: Static libraries for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name-devel-static = %version-%release

%description -n lib%name-devel-static
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains the files necessary to develop applications
statically linked with GtkHTML.

%prep
%setup -q -n %origname-%version

%build
# Required after Patch0
#intltoolize --copy --force
#autoreconf -isfv
%configure \
    %{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/%origname/*.la

%find_lang %origname-%api_ver

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name -f %origname-%api_ver.lang
%_libdir/*.so.*
%dir %_libdir/%origname
%_libdir/%origname/*.so
%_libdir/bonobo/servers/*
%_datadir/%origname-%api_ver
%doc AUTHORS ChangeLog NEWS README TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/%origname/*.a
%endif

%changelog
* Sat Feb 24 2007 Ilya Mashkin <oddity@altlinux.ru> 3.12.3-alt1
- update to 3.12.3

* Mon Jan 01 2007 Ilya Mashkin <oddity@altlinux.ru> 3.12.2-alt1
- New release 3.12.2

* Mon Oct 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.12.1-alt1
- Release 3.12.1

* Tue Sep 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.12.0-alt1
- Release 3.12.0
- Patch0 has gone upstream

* Thu Aug 31 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.10.3-alt1
- Release 3.10.3

* Thu Jun 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.10.2-alt1
- Release 3.10.2

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.10.1-alt1
- Release 3.10.1

* Wed Mar 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.10.0-alt1
- Release 3.10.0

* Sat Mar 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.9.92-alt3
- Patch0: correct linkage to avoid unresolved symbols

* Thu Mar 09 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.9.92-alt2
- Added gnome-icon-theme to build dependencies

* Sun Mar 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.9.92-alt1
- 3.9.92

* Thu Feb 16 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.9.91-alt1
- Updated to 3.9.91
- Buildreq

* Tue Nov 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.8.2-alt1
- 3.8.2

* Tue Nov 01 2005 Mikhail Zabaluev <4mhz@altlinux.ru> 3.8.1-alt3
- Fixed a mistake in dependencies (bug 7642)

* Wed Oct 19 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.8.1-alt2
- Added /usr/lib/gtkhtml to the file list (bug #8234)

* Tue Oct 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.8.1-alt1
- 3.8.1

* Tue Sep 06 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.8.0-alt1
- 3.8.0

* Fri Aug 26 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.7.7-alt0.1
- 3.7.7

* Mon Aug 08 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.7.6-alt0.1
- 3.7.6

* Fri Jul 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.7.5-alt0.1
- 3.7.5

* Fri Jul 15 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.7.4-alt0.1
- 3.7.4

* Mon Apr 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.6.2-alt1
- 3.6.2

* Tue Mar 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.6.1-alt1
- 3.6.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.6.0-alt1
- 3.6.0

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.5.7-alt1
- 3.5.7

* Fri Feb 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.5.6-alt1
- 3.5.6

* Sat Dec 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.2.4-alt1
- 3.2.4

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.2.3-alt1
- 3.2.3

* Thu Sep 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.2.2-alt1
- 3.2.2

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.17-alt1
- 3.1.17

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.16-alt1
- 3.1.16

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.14-alt1
- 3.1.14

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.12-alt1
- 3.3.12

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.11-alt1
- 3.1.11

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.9-alt1
- 3.1.9

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.8-alt1
- 3.1.8

* Fri Jan 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.7-alt1
- 3.1.7

* Mon Sep 22 2003 AEN <aen@altlinux.ru> 3.0.8-alt2
- added requires on %name to devel package

* Tue Aug 05 2003 AEN <aen@altlinux.ru> 3.0.8-alt1
- new version

* Fri Jul 11 2003 AEN <aen@altlinux.ru> 3.0.7-alt1
- release

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 3.0.6-alt1
- new version from gnome cvs

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 3.0.5-alt1
- first build for sisyphus

